Bug 182668 - error in liblvm2clusterlock.so during processing of rc.sysinit
error in liblvm2clusterlock.so during processing of rc.sysinit
Status: CLOSED DUPLICATE of bug 182667
Product: Red Hat Cluster Suite
Classification: Red Hat
Component: lvm2-cluster (Show other bugs)
4
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Christine Caulfield
Cluster QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-23 17:10 EST by Travis Tiedemann
Modified: 2010-01-11 23:04 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-27 10:29:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Travis Tiedemann 2006-02-23 17:10:49 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; Union Pacific Corporate Image; SV1; .NET CLR 1.1.4322)

Description of problem:
We have a three node cluster running RHEL 4 U2 and GFS 6.1.  The servers are G4 Proliant DL380s running dual Emulex 9802 HBAs and mpio.  They are connecting via McData switches to an older Symmetrix box.  

When the systems boot, I see the following error:

Setting up logical volume management: unable to open external locking library liblvm2clusterlock.so
  Locking inactive: ignoring clustered volume group vgtest
  6 logical volumes in volume group "Volume00" now active

This appears to come from the stanza in rc.sysinit which begins:

# LVM2 initialization

Later on, when the cluster suite/GFS scripts run, the GFS filesystem is mounted just fine.  I think this is just a cosmetic/timing issue.

Version-Release number of selected component (if applicable):
lvm2-cluster-2.01.14-1.0.RHEL4

How reproducible:
Always

Steps to Reproduce:
1. install gfs
2. boot system

Actual Results:  the abovementioned error, but everything mounts fine.

Expected Results:  no error

Additional info:
Comment 1 Christine Caulfield 2006-02-27 10:29:36 EST

*** This bug has been marked as a duplicate of 182667 ***

Note You need to log in before you can comment on or make changes to this bug.